> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Create a payment request

POST https://api.brevo.com/v3/payments/requests
Content-Type: application/json

Create a new payment request for a Brevo contact. The request requires a reference (displayed on the payment page), a contact ID, and a cart with currency and amount in cents. You can optionally configure a custom success redirect URL and enable email notifications with reminders. Returns the payment request ID and its public payment URL. A `403` error is returned if Brevo Payments is not activated or the account is not validated.

Reference: https://developers.brevo.com/reference/payments/create-payment-request

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Body (application/json)

- `cart` (object, required) — Specify the payment currency and amount.
  - `currency` (enum, required) — Currency code for the payment amount.
    - Allowed values: `EUR`
  - `specificAmount` (long, required) — Payment amount, in cents. e.g. if you want to request €12.00, then the amount in cents is 1200.
- `contactId` (long, required) — Brevo ID of the contact requested to pay.
- `reference` (string, required) — Reference of the payment request, it will appear on the payment page.
- `configuration` (object, optional) — Optional. Redirect contact to a custom success page once payment is successful. If empty the default Brevo page will be displayed once a payment is validated
  - `customSuccessUrl` (string, required) — Absolute URL of the custom success page.
- `description` (string, optional) — Description of payment request.
- `notification` (object, optional) — Optional. Use this object if you want to let Brevo send an email to the contact, with the payment request URL. If empty, no notifications (message and reminders) will be sent.
  - `channel` (enum, required) — Channel used to send the notifications.
    - Allowed values: `email`
  - `text` (string, required) — Use this field if you want to give more context to your contact about the payment request.

## Response

### 201

Payment request created.

- `id` (long, required) — ID of the object created
- `url` (string, optional) — URL of the payment request created

## Examples

**Request**

```json
{
  "cart": {
    "currency": "EUR",
    "specificAmount": 1200
  },
  "contactId": 43,
  "reference": "Invoice #INV0001"
}
```

**Response**

```json
{
  "id": 122,
  "url": "https://pay.brevo.com/payment/6d4ec0b2b48ef803df4103ve"
}
```

**SDK Code**

```typescript response
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.payments.createPaymentRequest({
        cart: {
            currency: "EUR",
            specificAmount: 1200,
        },
        contactId: 43,
        reference: "Invoice #INV0001",
    });
}
main();

```

```python response
from brevo import Brevo, Cart

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.payments.create_payment_request(
    cart=Cart(
        currency="EUR",
        specific_amount=1200,
    ),
    contact_id=43,
    reference="Invoice #INV0001",
)

```

```php response
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Payments\Requests\CreatePaymentRequestRequest;
use Brevo\Types\Cart;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->payments->createPaymentRequest(
    new CreatePaymentRequestRequest([
        'cart' => new Cart([
            'currency' => 'EUR',
            'specificAmount' => 1200,
        ]),
        'contactId' => 43,
        'reference' => 'Invoice #INV0001',
    ]),
);

```

```go response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/payments/requests"

	payload := strings.NewReader("{\n  \"cart\": {\n    \"currency\": \"EUR\",\n    \"specificAmount\": 1200\n  },\n  \"contactId\": 43,\n  \"reference\": \"Invoice #INV0001\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/payments/requests")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"cart\": {\n    \"currency\": \"EUR\",\n    \"specificAmount\": 1200\n  },\n  \"contactId\": 43,\n  \"reference\": \"Invoice #INV0001\"\n}"

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.brevo.com/v3/payments/requests")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"cart\": {\n    \"currency\": \"EUR\",\n    \"specificAmount\": 1200\n  },\n  \"contactId\": 43,\n  \"reference\": \"Invoice #INV0001\"\n}")
  .asString();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/payments/requests");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"cart\": {\n    \"currency\": \"EUR\",\n    \"specificAmount\": 1200\n  },\n  \"contactId\": 43,\n  \"reference\": \"Invoice #INV0001\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "cart": [
    "currency": "EUR",
    "specificAmount": 1200
  ],
  "contactId": 43,
  "reference": "Invoice #INV0001"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/payments/requests")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```